> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-canton-docs-snippet-dedupe.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /status



## OpenAPI

````yaml /openapi/splice/scan/scan.yaml get /status
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /status:
    get:
      tags:
        - common
      summary: GET /status
      operationId: getHealthStatus
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NodeStatus'
components:
  schemas:
    NodeStatus:
      oneOf:
        - $ref: '#/components/schemas/SuccessStatusResponse'
        - $ref: '#/components/schemas/NotInitializedStatusResponse'
        - $ref: '#/components/schemas/FailureStatusResponse'
    SuccessStatusResponse:
      type: object
      required:
        - success
      properties:
        success:
          $ref: '#/components/schemas/Status'
    NotInitializedStatusResponse:
      type: object
      required:
        - not_initialized
      properties:
        not_initialized:
          $ref: '#/components/schemas/NotInitialized'
    FailureStatusResponse:
      type: object
      required:
        - failed
      properties:
        failed:
          $ref: '#/components/schemas/ErrorResponse'
    Status:
      type: object
      required:
        - id
        - uptime
        - ports
        - active
      properties:
        id:
          type: string
        uptime:
          type: string
        ports:
          type: object
          additionalProperties:
            type: integer
            format: int32
        extra:
          type: string
          format: binary
        active:
          type: boolean
    NotInitialized:
      type: object
      required:
        - active
      properties:
        active:
          type: boolean
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string

````